# SetWaitlistStatus

> Change a waitlist's status: pause or resume, back to draft (no signups yet), archive, or… Write access, waitlists toolset, MCP tool set_waitlist_status.

Change a waitlist's status: pause or resume, back to draft (no signups yet), archive, or restore an archived one. Releasing is ReleaseWaitlist.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `id` | `UUID!` | yes |  |  |
| `status` | `WaitlistStatus!` | yes | One of `ARCHIVED`, `COLLECTING`, `DRAFT`, `PAUSED`, `RELEASED`, `RELEASING` |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetWaitlistStatus","variables":{"id":"00000000-0000-0000-0000-000000000000","status":"ARCHIVED"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"f770da14156e61e61fab01e1df9dc4e0d7602bde78860e050e3e8434c835fb80"}}}'
```

## Document

```graphql
mutation SetWaitlistStatus($id: UUID!, $status: WaitlistStatus!) { __typename setWaitlistStatus(id: $id, status: $status) { __typename userErrors { __typename code field message } waitlist { __typename id slug } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/set-waitlist-status
